Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class ExprEvaluationContextImpl

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.ExprEvaluationContextImpl

All Implemented Interfaces:
  EvaluationContext

    public class ExprEvaluationContextImpl

extends java.lang.Object
implements EvaluationContext

The context in which BPEL expressions are evaluated. This class is handed of the OExpression instances to provide access to variables, link statuses, and the like.

Constructor Summary
`ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstace, OdeInternalInstance ntv)`
`ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstnce, OdeInternalInstance ntv, java.util.Map<OLink,java.lang.Boolean> linkVals)`
`ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstace, OdeInternalInstance ntv, org.w3c.dom.Node root)`

Method Summary
`org.w3c.dom.Node` | `evaluateQuery(org.w3c.dom.Node root, OExpression expr)` Evaluate a query expression.
`java.net.URI` | `getBaseResourceURI()`
`org.w3c.dom.Node` | `getPartData(org.w3c.dom.Element message, OMessageVarType.Part part)`
`java.lang.Long` | `getProcessId()` Reads the current process instance id.
`org.w3c.dom.Node` | `getPropertyValue(javax.xml.namespace.QName propertyName)` Retrieves the property value that has been defined for this BPEL Process type.
`org.w3c.dom.Node` | `getRootNode()` Obtain the root node.
`boolean` | `isLinkActive(OLink olink)` Obtain the status of a control link.
`boolean` | `narrowTypes()` Indicates whether simple types should be narrowed to a Java type when using this evaluation context.
`java.lang.String` | `readMessageProperty(OScope.Variable variable, OProcess.OProperty property)` Read the value of a BPEL property.
`org.w3c.dom.Node` | `readVariable(OScope.Variable variable, OMessageVarType.Part part)` Read the value of a BPEL variable.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExprEvaluationContextImpl

    public ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstace,
                                     OdeInternalInstance ntv)

### ExprEvaluationContextImpl

    public ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstace,
                                     OdeInternalInstance ntv,
                                     org.w3c.dom.Node root)

### ExprEvaluationContextImpl

    public ExprEvaluationContextImpl(org.apache.ode.bpel.rtrep.v2.ScopeFrame scopeInstnce,
                                     OdeInternalInstance ntv,
                                     java.util.Map<OLink,java.lang.Boolean> linkVals)

Method Detail

### readVariable

    public org.w3c.dom.Node readVariable(OScope.Variable variable,
                                         OMessageVarType.Part part)
                                  throws FaultException

  Description copied from interface: `EvaluationContext`
  Read the value of a BPEL variable.

  Specified by:
    `readVariable` in interface `EvaluationContext`
  Parameters:
    `variable` - variable to read
    `part` - the part (or `null`)
  Returns:
    the value of the variable, wrapped in a `Node`
  Throws:
    `FaultException`

### evaluateQuery

    public org.w3c.dom.Node evaluateQuery(org.w3c.dom.Node root,
                                          OExpression expr)
                                   throws FaultException

  Description copied from interface: `EvaluationContext`
  Evaluate a query expression.

  Specified by:
    `evaluateQuery` in interface `EvaluationContext`
  Parameters:
    `root` - the root context
    `expr` - the query expression
  Returns:
    node returned by query
  Throws:
    `FaultException`

### readMessageProperty

    public java.lang.String readMessageProperty(OScope.Variable variable,
                                                OProcess.OProperty property)
                                         throws FaultException

  Description copied from interface: `EvaluationContext`
  Read the value of a BPEL property.

  Specified by:
    `readMessageProperty` in interface `EvaluationContext`
  Parameters:
    `variable` - variable containing property
    `property` - property to read
  Returns:
    value of the property
  Throws:
    `FaultException`

### isLinkActive

    public boolean isLinkActive(OLink olink)
                         throws FaultException

  Description copied from interface: `EvaluationContext`
  Obtain the status of a control link.

  Specified by:
    `isLinkActive` in interface `EvaluationContext`
  Parameters:
    `olink` - link to check
  Returns:
    `true` if the link is active, `false` otherwise.
  Throws:
    `FaultException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRootNode

    public org.w3c.dom.Node getRootNode()

  Description copied from interface: `EvaluationContext`
  Obtain the root node.

  Specified by:
    `getRootNode` in interface `EvaluationContext`
  Returns:
    root node

### getPartData

    public org.w3c.dom.Node getPartData(org.w3c.dom.Element message,
                                        OMessageVarType.Part part)
                                 throws FaultException

  Specified by:
    `getPartData` in interface `EvaluationContext`
  Throws:
    `FaultException`

### getProcessId

    public java.lang.Long getProcessId()

  Description copied from interface: `EvaluationContext`
  Reads the current process instance id.

  Specified by:
    `getProcessId` in interface `EvaluationContext`
  Returns:
    instance id

### narrowTypes

    public boolean narrowTypes()

  Description copied from interface: `EvaluationContext`
  Indicates whether simple types should be narrowed to a Java type when using this evaluation context.

  Specified by:
    `narrowTypes` in interface `EvaluationContext`

### getBaseResourceURI

    public java.net.URI getBaseResourceURI()

  Specified by:
    `getBaseResourceURI` in interface `EvaluationContext`

### getPropertyValue

    public org.w3c.dom.Node getPropertyValue(javax.xml.namespace.QName propertyName)

  Description copied from interface: `EvaluationContext`
  Retrieves the property value that has been defined for this BPEL Process type.

  Specified by:
    `getPropertyValue` in interface `EvaluationContext`
  Returns:
    propertyValue - the value corresponding to the process property name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD